Package org.globus.gsi.stores

# Class AbstractResourceSecurityWrapper<T>

java.lang.Object
org.globus.gsi.stores.AbstractResourceSecurityWrapper<T>

Type Parameters:
  `T` - Type of security object

All Implemented Interfaces:
  `SecurityObjectWrapper<T>`, `Storable`

Direct Known Subclasses:
  `ResourceCRL`, `ResourceProxyCredential`, `ResourceTrustAnchor`

public abstract class AbstractResourceSecurityWrapper<T> extends Object implements SecurityObjectWrapper<T>, Storable
// JGLOBUS-91 : add javadoc

## Field Summary

Fields
Modifier and Type
Field
Description
`protected GlobusPathMatchingResourcePatternResolver`
`globusResolver`
`protected GlobusResource`
`globusResource`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractResourceSecurityWrapper(boolean inMemory)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract T`
`create(GlobusResource targetResource)`
`String`
`getAlias()`
`File`
`getFile()`
`GlobusResource`
`getGlobusResource()`
`URL`
`getResourceURL()`
`T`
`getSecurityObject()`
`boolean`
`hasChanged()`
`protected void`
`init(String locationPattern)`
`protected void`
`init(String locationPattern, T initialSecurityObject)`
`protected void`
`init(GlobusResource initialResource)`
`protected void`
`init(GlobusResource initialResource, T initialSecurityObject)`
`void`
`refresh()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.globus.gsi.stores.Storable

`store`

## Field Details

### globusResolver

protected GlobusPathMatchingResourcePatternResolver globusResolver

### globusResource

protected GlobusResource globusResource

## Constructor Details

### AbstractResourceSecurityWrapper

protected AbstractResourceSecurityWrapper(boolean inMemory)

## Method Details

### init

protected void init(String locationPattern) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### init

protected void init(GlobusResource initialResource) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### getAlias

public String getAlias()

Specified by:
  `getAlias` in interface `SecurityObjectWrapper<T>`

### init

protected void init(String locationPattern, T initialSecurityObject) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### init

protected void init(GlobusResource initialResource, T initialSecurityObject) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### getGlobusResource

public GlobusResource getGlobusResource()

### getResourceURL

public URL getResourceURL()

### getFile

public File getFile()

### refresh

public void refresh() throws ResourceStoreException

Specified by:
  `refresh` in interface `SecurityObjectWrapper<T>`
Throws:
  `ResourceStoreException`

### create

protected abstract T create(GlobusResource targetResource) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### getSecurityObject

public T getSecurityObject() throws ResourceStoreException

Specified by:
  `getSecurityObject` in interface `SecurityObjectWrapper<T>`
Throws:
  `ResourceStoreException`

### hasChanged

public boolean hasChanged()

Specified by:
  `hasChanged` in interface `SecurityObjectWrapper<T>`